MCP Tools Reference: paydeveloper.googleapis.com

工具:list_google_pay_integrations

返回与特定商家 ID 关联的所有 Google Pay 集成的当前状态和配置详细信息。它会针对集成和文档审核状态提供即时反馈。

以下示例演示了如何使用 curl 调用 list_google_pay_integrations MCP 工具。

Curl 请求
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_google_pay_integrations",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

用于列出特定商家的 Google Pay 集成的请求消息。

ListGooglePayIntegrationsRequest

JSON 表示法
{
  "merchantId": string
}
字段
merchantId

string

必需。要列出集成的商家的 ID。

输出架构

用于列出 Google Pay 集成的响应消息。

ListGooglePayIntegrationsResponse

JSON 表示法
{
  "googlePayIntegrations": [
    {
      object (GooglePayIntegration)
    }
  ]
}
字段
googlePayIntegrations[]

object (GooglePayIntegration)

商家的 Google Pay 集成。

GooglePayIntegration

JSON 表示法
{
  "integrationState": enum (IntegrationState),
  "createTime": string,
  "updateTime": string,
  "integrationType": enum (IntegrationType),
  "integrationDocuments": [
    {
      object (IntegrationDocument)
    }
  ],

  // Union field item can be only one of the following:
  "webDomain": string,
  "androidAppPackage": string
  // End of list of possible types for union field item.
}
字段
integrationState

enum (IntegrationState)

仅限输出。商家的 Google Pay 集成状态。

createTime

string (Timestamp format)

仅限输出。集成资源的创建时间。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不进行“Z”归一化处理的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

updateTime

string (Timestamp format)

仅限输出。集成资源的上次更新时间。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不进行“Z”归一化处理的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

integrationType

enum (IntegrationType)

可选。Google Pay 集成的集成类型。

integrationDocuments[]

object (IntegrationDocument)

可选。仅限输入。Google Pay 集成的集成文档。

联合字段 item。集成项。必须设置其中一个。item 只能是下列其中一项:
webDomain

string

商家的网域。

androidAppPackage

string

商家的 Android 应用包名称。

时间戳

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
字段
seconds

string (int64 format)

表示世界协调时间 (UTC) 的秒数(从 Unix 纪元 1970-01-01T00:00:00Z 开始算起)。必须介于 -62135596800 到 253402300799 之间(含边界值),对应于 0001-01-01T00:00:00Z 到 9999-12-31T23:59:59Z。

nanos

integer

秒数的非负小数部分(以纳秒为单位)。此字段是时长的纳秒部分,而不是秒的替代项。对于含小数部分的负秒数,仍必须包含按时间递升的非负纳秒值。必须在 0 到 999,999,999 之间(含边界值)。

IntegrationDocument

JSON 表示法
{
  "name": string,
  "data": string,
  "documentType": enum (DocumentType),
  "mimeType": enum (MimeType)
}
字段
name

string

可选。文档的名称。

data

string (bytes format)

可选。文档的数据。

使用 base64 编码的字符串。

documentType

enum (DocumentType)

可选。证件类型。

mimeType

enum (MimeType)

可选。文档的 MIME 类型。

工具注释

破坏性提示:❌ | 等幂性提示:✅ | 只读提示:✅ | 开放世界提示:❌